{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a list of pre-built designs provided by Twilio SendGrid**.\n\nUnlike the `/designs` endpoint where *your* designs are stored, a GET request made to `designs/pre-builts` will retrieve a list of the pre-built Twilio SendGrid designs. This endpoint will not return the designs stored in your Design Library.\n\nBy default, you will receive 100 results per request; however, you can modify the number of results returned by passing an integer to the `page_size` query parameter.\n\nThis endpoint is useful for retrieving the IDs of Twilio SendGrid designs that you want to duplicate and modify.","properties":{"query":{"type":"object","properties":{"page_size":{"type":"integer","minimum":0,"default":100,"description":"number of results to return"},"page_token":{"type":"string","description":"token corresponding to a specific page of results, as provided by metadata"},"summary":{"type":"boolean","default":true,"description":"set to false to return all fields"}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"List SendGrid Pre-built Designs","id":"sendgrid.mc_designs.listprebuiltdesign","example":{},"maxRequests":1,"summary":false}}